Name:           libXau
Version:        1.0.11
Release:        1
License:        MIT
Summary:        Sample Authorization Protocol for X
URL:            https://www.x.org
Source0:        https://www.x.org/pub/individual/lib/%{name}-%{version}.tar.gz
BuildRequires:  xorg-x11-util-macros autoconf automake libtool
BuildRequires:  pkgconfig xorg-x11-proto-devel

%description
This is a very simple mechanism for providing individual access to an X Window
System display.It uses existing core protocol and library hooks for specifying
authorization data in the connection setup block to restrict use of the display
to only those clients that show that they know a server-specific key
called a "magic cookie".

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       xorg-x11-proto-devel pkgconfig
BuildRequires:  xorg-x11-proto-devel

%description    devel
The %{name}-devel package contains development files for %{name}.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1

%build
autoreconf -ivf

%configure
%make_build

%install
%make_install INSTALL="install -p"
%delete_la_and_a

%check
make check

%ldconfig_scriptlets

%files
%defattr(-,root,root)
%doc AUTHORS 
%license COPYING
%{_libdir}/*.so.*

%files          devel
%defattr(-,root,root)
%{_includedir}/X11/Xauth.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files          help
%defattr(-,root,root)
%doc README ChangeLog
%{_mandir}/man3/*.3*


%changelog
* Fri Jul 21 2023 zhangpan <zhangpan103@h-partners.com> - 1.0.11-1
- update 1.0.11

* Thu Nov 03 2022 zhouwenpei <zhouwenpei1@h-partners.com> - 1.0.10-1
- update 1.0.10

* Sat Oct 19 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.0.9-2
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:change the directory of the license file

* Mon Sep 2 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.0.9-1
- Package init
